package roseindia.net;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;

public class JDBCResultSetExample {
	Connection connection = null;

	public JDBCResultSetExample() {
		try {
			// Loading the driver
			Class.forName("com.mysql.jdbc.Driver");
		} catch (ClassNotFoundException e) {
			System.out.println(e.toString());
		}
	}

	public Connection createConnection() {
		Connection con = null;
		if (connection != null) {
			System.out.println("Cant create a connection");
		} else {
			try {
				// Crating a Connection to the Student database
				con = DriverManager.getConnection(
						"jdbc:mysql://localhost:3306/student", "root",
						"root");
				System.out.println("Connection created Successfully");
			} catch (SQLException e) {
				System.out.println(e.toString());
			}
		}
		return con;
	}

	public static void main(String[] args) throws SQLException {
		JDBCResultSetExample resultSetExample = new JDBCResultSetExample();
		Connection connection = resultSetExample.createConnection();
		try {
			// creating a statement object
			Statement statement = connection.createStatement(
					ResultSet.TYPE_SCROLL_INSENSITIVE,
					ResultSet.CONCUR_UPDATABLE);
			String query = "SELECT * FROM student";
			// executing a query string and storing it into the resultSet object
			ResultSet resultSet = statement.executeQuery(query);
			System.out.println("Before Updating....................\n");
			while (resultSet.next()) {
				// Printing results to the console
				System.out.println("Roll No- " + resultSet.getInt("RollNo")
						+ ", Name- " + resultSet.getString("Name")
						+ ", Course- " + resultSet.getString("Course")
						+ ", Address- " + resultSet.getString("Address"));
			}
			// setting the row to we have to update
			resultSet.first();
			// Setting the updating String
			resultSet.updateString("Name", "vnay");
			// Updating the first row
			resultSet.updateRow();
			System.out.println("\n\n After Updating.......................\n");
			while (resultSet.next()) {
				// Printing results to the console
				System.out.println("Roll No- " + resultSet.getInt("RollNo")
						+ ", Name- " + resultSet.getString("Name")
						+ ", Course- " + resultSet.getString("Course")
						+ ", Address- " + resultSet.getString("Address"));
			}
		} catch (Exception e) {
			System.out.println(e.toString());
		} finally {
			connection.close();
		}
	}

}